## amrwbenc amrwbenc — Adaptive Multi-Rate Wideband audio encoder |

## Synopsis

                        GstAmrwbEnc;

## Properties

      "band-mode"                GstAmrwbEncBandMode   : Read / Write / Construct

## Description

AMR wideband encoder based on the reference codec implementation.

### Example launch line

    1
    gst-launch filesrc location=abc.wav ! wavparse ! audioresample ! audioconvert ! amrwbenc ! filesink location=abc.amr

Please not that the above stream misses the header, that is needed to play the stream.

## Details

### GstAmrwbEnc

    typedef struct {
      GstElement element;

      /* pads */
      GstPad *sinkpad, *srcpad;
      guint64 ts;
      gboolean discont;

      GstAdapter *adapter;

      /* library handle */
      void *handle;

      /* input settings */
      gint bandmode;
      gint channels, rate;
    } GstAmrwbEnc;

## Property Details

### The `"band-mode"` property

      "band-mode"                GstAmrwbEncBandMode   : Read / Write / Construct

Encoding Band Mode (Kbps).

Default value: MR660

## See Also

GstAmrwbDec, GstAmrwbParse